Bug 158249 - pilot-link 0.12.0-0-pre2 doesn't work with jpilot -- field names are ignored and new records are lost
pilot-link 0.12.0-0-pre2 doesn't work with jpilot -- field names are ignored ...
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2005-05-19 16:46 EDT by David Costanzo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-14 12:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Costanzo 2005-05-19 16:46:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
pilot-link-0.12.0-0-pre2 does not work with jpilot.  By "not work", I mean that none of the record fields show up in jpilot.  For example, last names in my address book should say "Last" next to them.  Instead, no field name is given.

Also, whenever I try to add a record in jpilot and sync to my Palm Pilot, the record gets inserted as a blank record (it exists, but it has no data).

I have also had data corrupt.

jpilot prints out a lot of errors like the following:

  Error reading file: AddressDB.pdb

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run jpilot.
2. Add an address.
3. Sync to the Palm Pilot

Actual Results:  All of the existing addresses have no field names.  The record that was just added comes back as "Unnamed Entry" and contains no data.  Also, all addresses have an "Unfiled" category.

Expected Results:  All fields in all addresses have all the expected field names.  The address that was just added shows up as normal (none of the data is lost).

Additional info:

I have given this a high severity because it has caused jpilot to not work at all.  Also, it has led to the loss of data on my Palm Pilot.

I have not been able to get gnome-pilot to work either, and I suspect that the  problem is also with pilot-link pre2.  I have not tried kpilot, as I do not run KDE.

I emailed the author of jpilot and he said that pilot-link pre2 is buggy.  He strongly recommends that Fedora not use a pre-release version of pilot-link.

He said that we should contact David Desrosiers (hacker at gnu-designs dot com). to find out what the last compatible release of pilot-link is.  The author of jpilot thinks that it's 0.11.8.

pilot-link is now up to "pre3", but this is even worse.  The pilot-link authors have changed the API in such a way that old releases of jpilot will compile, but they won't be able to do anything.  This is important, because it means that upgrading pilot-link without upgrading jpilot will silently break jpilot.
Comment 1 Ngo Than 2006-04-14 12:27:40 EDT
i have already reverted to the stable version 0.11.8. It's now available
in fc4-update-testing. You should use yum to update your pilot-link. Thanks
for your report.

Note You need to log in before you can comment on or make changes to this bug.